Subject: Re: bug#60023: [wishlist] cyrillic-chuvash input method

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Dec 2022 22:08:47 +0200

> Date: Wed, 14 Dec 2022 18:28:02 +0100 (CET)
> From: [email-masked]
> Cc: [email-masked]
> 
> Dec 14, 2022, 15:33 by [email-masked]:
> 
> > Are you sure it is a good idea to use Çç?  It will cause Emacs to
> > consider, e.g., абвгҪҫÇçҪҫабвг, as 3 words, not one word, for the
> > purposes of cursor motion commands, like M-f and C-<LEFT>.  That's
> > because Emacs always stops these movement commands when text switches
> > to a different script, and here we will have a switch from Cyrillic to
> > Latin and back.
> >
> > So maybe we should use Ҫҫ after all?
> >
> Oh, I didn't know that. Hm… I guess Cyrillic ones work too then, if it can't be overriden on input method level.

OK, I've now installed this on the emacs-29 branch, using the Cyrillic
characters, and I'm marking this bug done.

Thanks.